> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/negative-information/gettaxarrears.md).

# getTaxArrears

## getTaxArrears

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getTaxArrears`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company tax arrears for two last years such as:\
`* Current tax arrears`\
`* Tax arrears history`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getTaxArrears' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST". Default is "EST".                       |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "tax_arrears_current": [
        {
            "amount": "1111.83",
            "scheduled": "1111.83",
            "disputed": true,
            "intress": "0.00",
            "total": 1111.83,
            "from": "2015-05-20",
            "num_of_declarations": null
        }
    ],
    "tax_arrears_history": [
        {
            "label": "Jun 2019",
            "year": "2019",
            "month": "6",
            "amount": 11111,
            "scheduled": 11111,
            "disputed": 0,
            "intress": 0,
            "total": 11111,
            "from": "2015-05-20",
            "num_of_declarations": 0,
            "num_of_cases": 1
        },
        {
            "label": "May 2019",
            "year": "2019",
            "month": "5",
            "amount": 2222,
            "scheduled": 2222,
            "disputed": 0,
            "intress": 0,
            "total": 2222,
            "from": "2015-05-20",
            "num_of_declarations": 0,
            "num_of_cases": 1
        }
    ]
}
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST country supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
